%define module Gtk2-Html2
%define fmodule Html2

Summary: Perl module for the gtkhtml2 library
Name:    perl-%module
Version: 0.04
Release: 2mdk
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  %module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: gtkhtml2-devel => 2.4, perl-devel perl-ExtUtils-Depends perl-Gtk2
Requires: perl-Gtk2 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package adds perl support for GtkHTML2.


%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*


%changelog
* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-2mdk
- rebuild for perl-5.8.5

* Mon May 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-1mdk
- new release

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-1mdk
- initial release
